+++
title = "Что нового в Harvest v7.5"
description = "Основные особенности и улучшения для Harvest v7.5"
keywords = ["harvest", "new", "documentation", "7.5", "release notes"]
weight = -32
aliases = ["/docs/harvest/latest/guides/whats-new-in-v7-5/"]
[_build]
list = false
+++

# Что нового в Harvest v7.5

В этом разделе содержатся примечания к выпуску Harvest v7.5. Для получения подробной информации прочитайте полный [CHANGELOG.md](https://github.com/harvest/harvest/blob/master/CHANGELOG.md).

## Функции Harvest OSS

Эти функции включены в версию Harvest с открытым исходным кодом.

### Визуализация панели круговой диаграммы (бета)

Harvest 7.5 добавляет бета-версию панели круговых диаграмм следующего поколения.

![Панель круговой диаграммы](/static/img/docs/pie-chart-panel/pie-chart-panel-7-5.png)

Для получения дополнительной информации см. [Панель круговой диаграммы]({{< relref "../panels/visualizations/pie-chart-panel.md" >}}).

### Предупреждение для Локи

Harvest 7.5 поставляется с поддержкой оповещений для Loki. С помощью LogQL вы можете обернуть запрос журнала функциями, которые позволяют создавать метрики из журналов, например «rate ()». Запросы метрик затем можно использовать для расчета таких вещей, как частота сообщений об ошибках. [В сочетании с анализаторами журналов](https://www.youtube.com/watch?v=H9z2V0Ib1q0) их можно использовать для расчета метрик на основе значений в строке журнала, таких как задержка или размер запроса.

Благодаря поддержке оповещений для Loki теперь вы можете создавать оповещения по запросам метрик Loki.

[Предупреждение]({{< relref "../alerting/_index.md" >}}) было обновлено в результате этого изменения.

![Предупреждение Локи](/static/img/docs/alerting/alerting-for-loki-7-5.png)

### Браузер меток Loki

Новый браузер журналов Loki позволяет создавать запросы шаг за шагом: вы выбираете метки, которые хотите учитывать, например «job», затем выбираете нужные значения, например «my-app1». Обратите внимание, что вы можете выбирать значения более чем из одной метки, и что они становятся фасетными. Это означает, что можно выбирать только возможные комбинации меток. Когда вы закончите, вы можете запустить запрос либо как журналы, либо как запрос метрик (запрос метрик возвращает объем журнала в виде диаграммы).

### Изменен метод HTTP по умолчанию для новых источников данных Prometheus.

Для новых источников данных Prometheus мы изменили метод HTTP по умолчанию на POST. POST позволяет использовать гораздо большие тела запросов, чем при использовании метода GET. Это необходимо при отправке запросов из графов с большим количеством целей, например, много хостов в переменной дашборда. Метод POST также упрощает чтение данных Query Inspector, поскольку запрос представляет собой обычный текст, а запрос GET — в кодировке URL.

> **Примечание.** Это не повлияет на подготовленные источники данных или уже созданные источники данных.

[Источник данных Prometheus]({{< relref "../datasources/prometheus.md" >}}) был обновлен в результате этого изменения.

### Подсветка слов для Elasticsearch

При поиске текста в журналах Elasticsearch совпадающие слова в строке журнала, возвращенной запросом, теперь выделяются.

![Выделение эластичных журналов](/static/img/docs/elasticsearch/elastic-word-highlighting-7-5.png)

### Лучшее определение формата для данных трассировки

В Harvest 7.5 мы изменили способ отправки данных для представления трассировки из источника данных. Требуемый фрейм данных имеет четкий формат, который больше соответствует тому, как данные обычно представляются в Harvest. Это упрощает сторонним разработчикам реализацию источников данных, использующих представление трассировки.

Дополнительные сведения см. в [документах по API данных трассировки]({{< relref "../explore/trace-integration.md#data-api" >}}).

### Вставить сертификаты SSL для источника данных Postgres

Раньше, когда пользователи хотели настроить источник данных Postgres для подключения с сертификатом SSL, им нужно было поместить сертификат на сервер и настроить источник данных с путем к файлу.

Вместо пути к файлу пользователи теперь могут вставлять содержимое сертификата SSL в пользовательский интерфейс. Это позволяет им настраивать сертификацию, даже если у них нет доступа к серверу.

> **Примечание.** Это остается ограничением для размещенной Harvest, поскольку у пользователя нет доступа к конфигурации сервера.

[Источник данных Postgres]({{< relref "../datasources/postgres.md" >}}) и [Provisioning]({{< relref "../administration/provisioning.md" >}}) были обновлены как результате этого изменения.

### Уведомление об устаревании некоторых запросов Azure Monitor

В предстоящем выпуске Harvest 8.0 типы запросов Application Insights и Insights Analytics в источнике данных Azure Monitor будут объявлены устаревшими и будут доступны только для чтения в пользу запроса Application Insights из метрик и журналов.

Harvest 7.5 включает уведомление об устаревании для этих запросов и некоторую документацию, которая поможет пользователям подготовиться к предстоящим изменениям.

Дополнительные сведения см. в статье [Устаревание Application Insights и Insights Analytics]({{< relref "../datasources/azuremonitor.md#deprecating-application-insights-and-insights-analytics" >}}).

### Усовершенствования источника данных Cloudwatch

- В источник данных CloudWatch добавлена ​​поддержка региона eu-south-1. Новые метрики также были добавлены в пространства имен AWS/Timestream, AWS/RDS (метрики RDS Proxy), AWS/NetworkFirewall, AWS/GroundStation и AWS/DDoSProtection. Большое спасибо [relvira](https://github.com/relvira), [ilyastoli](https://github.com/ilyastoli) и [rubycut](https://github.com/rubycut) за вклад

Тинг!
- Добавлено ограничение страницы для вызова API List Metrics для повышения скорости и уменьшения потребления памяти. Вы можете изменить это ограничение, введя более высокое значение в [list_metrics_page_limit]({{< relref "../administration/configuration.md#list-metrics-page-limit" >}}) в файле конфигурации Harvest.
- Теперь вы можете включать или отключать поставщиков аутентификации и принимать роль, отличную от роли по умолчанию, путем изменения [allowed_auth_providers]({{< relref "../administration/configuration.md#allowed-auth-providers" >}}) и [assume_role_enabled ]({{< relref "../administration/configuration.md#assume-role-enabled" >}}) в файле конфигурации Harvest. По умолчанию разрешенными поставщиками аутентификации являются _AWS SDK по умолчанию_, _Access && секретный ключ_ и _Credentials File_, а роль — _Assume role (ARN)_.
— Теперь вы можете указать пользовательскую конечную точку на странице конфигурации источника данных CloudWatch. Это поле является необязательным, и если оно оставлено пустым, для CloudWatch используется конечная точка по умолчанию. Указав региональную конечную точку, вы можете уменьшить задержку запроса.

  [Источник данных AWS Cloudwatch]({{< relref "../datasources/cloudwatch.md#endpoint" >}}) был обновлен в результате этого изменения.

### Увеличен лимит API для CloudMonitoring Services

В предыдущих версиях при запросе метрик для целей уровня обслуживания (SLO) в источнике данных CloudMonitoring только первые 100 служб были указаны в списке полей **Service**. Чтобы решить эту проблему, ограничение API для листинга услуг было увеличено до 1000.

### Tempo как внутренний источник данных

Мы преобразовали Tempo в серверный источник данных и отказались от поддержки ответа tempo-query (Jaeger). Чтобы настроить его, теперь вы можете указать порт, который установлен в файле конфигурации Tempo.

``ямл
сервер:
  http_listen_port: 3101
```

[Источник данных Azure Monitor]({{< relref "../datasources/azuremonitor.md" >}}) был обновлен в результате этого изменения.

## Корпоративные функции

Эти функции включены в редакцию Harvest Enterprise.

### Кэширование запросов

Когда кеширование включено, Harvest временно сохраняет результаты запросов к источнику данных. Когда вы или другой пользователь снова отправляете тот же запрос, результаты возвращаются из кэша, а не из источника данных (например, Splunk или ServiceNow).

Преимущества кэширования запросов:
- Более быстрое время загрузки панели мониторинга, особенно для популярных панелей мониторинга.
- Снижение затрат на API.
- Снижена вероятность того, что API будут ограничивать скорость или дросселировать запросы.

Кэширование в настоящее время работает для всех серверных источников данных. Вы можете включить кеш глобально или для каждого источника данных, а также настроить продолжительность кеша для каждого источника данных. Кэш в настоящее время находится в памяти.

Для получения дополнительной информации см. [Кэширование запросов]({{< relref "../enterprise/query-caching.md" >}}).

### Использовать переменную шаблона в отчетах

Если вы создали информационные панели с переменными шаблона, вы можете выбрать, какие значения будут выбраны при отображении отчета. Это упрощает адаптацию отчетов к их аудитории или создание нескольких отчетов с одной и той же информационной панели.

Включите эту функцию в настройках конфигурации с помощью флага `templateVariables`.

Для получения дополнительной информации см. [Отчетность]({{< relref "../enterprise/reporting.md#choose-template-variables" >}}).

### Ограничения активных пользователей

Если экземпляр Harvest превысил лицензированное количество активных пользователей, то неактивные пользователи, пытающиеся войти в Harvest, не смогут этого сделать. Активные пользователи — это пользователи, которые вошли в Harvest за последние 30 дней. Общее количество пользователей, зарегистрированных в Harvest, не влияет на это правило. Это принудительное применение применяется отдельно для зрителей и для редакторов/администраторов, поэтому, если вы достигнете активного лимита зрителей, новые редакторы/администраторы все равно смогут войти в систему. Это правило также включает 10% буфер, что означает, что вам необходимо ограничить на 10%, прежде чем пользователи не смогут войти в систему.

Вот пример:

Экземпляр Harvest Enterprise включает 100 зрителей и 50 редакторов/администраторов. За последние 30 дней в Harvest вошли 110 зрителей и 20 редакторов/администраторов.

Все зрители, выполнившие вход за последние 30 дней, сохранят возможность входа.

Когда ранее неактивный зритель (кто-то, кто не входил в систему в течение последних 30 дней) пытается войти в систему, он увидит сообщение и не сможет войти в систему до тех пор, пока количество активных пользователей не упадет ниже 110. Новый редактор/администраторы на это не влияет; они могут продолжать входить в систему, пока количество активных редакторов/администраторов не достигнет 55.

Если вы попытаетесь войти на четвертом устройстве или в браузере, вам это не удастся; ограничение одновременных сеансов - три.

Если вы войдете на четвертом устройстве или в браузере, вы выйдете из сеанса, который является наименее текущим.
Ограничения одновременных сеансов
Каждый пользователь Harvest Enterprise будет ограничен тремя одновременными сеансами пользователя. Когда пользователь открывает четвертый сеанс, самый продолжительный неактивный сеанс автоматически завершается.

Новый сеанс создается при входе в Harvest.

с другого устройства или другого браузера. Несколько окон и вкладок в одном браузере являются частью одного сеанса, поэтому открытие многих вкладок Harvest не вызовет никаких проблем.

Для получения дополнительной информации о лицензировании и ограничениях Harvest Enterprise см. [Ограничения лицензии]({{< relref "../enterprise/license/license-restrictions.md" >}}).

## Критические изменения

В этом выпуске нет известных критических изменений.

## Обновленная конфигурация

```
[сервер]
время_чтения = 0
```

Устанавливает максимальное время с использованием формата длительности (5 с/5 мин/5 мс) до истечения времени ожидания чтения входящего запроса и закрытия простаивающих соединений.
`0` означает, что нет тайм-аута для чтения запроса.

